/***************************************************************************
**
**    $Header:   D:/ECB2S/SRC/LOG/MEMPAGE.H__   1.2.1.4   17 Apr 1997 15:56:48   ZJRD  $
**
**    $Log:   D:/ECB2S/SRC/LOG/MEMPAGE.H__  $
** 
**    Rev 1.2.1.4   17 Apr 1997 15:56:48   ZJRD
** No change.
** 
**    Rev 1.2.1.3   16 Apr 1997 10:28:16   ZJRD
** 2.09F
** 
****************************************************************************/

// mempage.h : header file
//


/////////////////////////////////////////////////////////////////////////////
// CMemSearchPage dialog
//
class CMemSearchPage : public CPropertyPage
{
private:
   void  DoSearch();
   
// Construction
public:
   CMemSearchPage();  // standard constructor
   virtual void   OnOK();        // Process the defaut button
   virtual void   OnCancel();        // Process the defaut button
         
// Dialog Data
   //{{AFX_DATA(CMemSearchPage)
   enum { IDD = IDD_MEMSEARCG_PAGE };
   CEdit m_ctrlSearchStartAddr;
   CEdit m_ctrlSearchEndAddr;
   CEdit m_ctrlSearchData;
   CString  m_strSearchData;
   CString  m_strSearchEndAddr;
   CString  m_strSearchEndSelect;
   CString  m_strSearchStartAddr;
   int      m_nSearchSpace;
   //}}AFX_DATA

// Implementation
protected:
   virtual void DoDataExchange(CDataExchange* pDX);   // DDX/DDV support

   // Generated message map functions
   //{{AFX_MSG(CMemSearchPage)
   afx_msg void OnSearchCancel();
   afx_msg void OnSearchHelp();
   afx_msg void OnSearchSearch();
   virtual BOOL OnInitDialog();
   //}}AFX_MSG
   DECLARE_MESSAGE_MAP()
};


/////////////////////////////////////////////////////////////////////////////
// CMemComparePage dialog
//
class CMemComparePage : public CPropertyPage
{
private:
   void  DoCompare();
   
// Construction
public:
   CMemComparePage(); // standard constructor
   virtual void   OnOK();        // Process the defaut button
   virtual void   OnCancel();        // Process the defaut button

// Dialog Data
   //{{AFX_DATA(CMemComparePage)
   enum { IDD = IDD_MEMCOMP_PAGE };
   CEdit m_ctrlCompStartAddr;
   CEdit m_ctrlCompEndAddr;
   CEdit m_ctrlCompDestAddr;
   CString  m_strCompDestAddr;
   CString  m_strCompEndAddr;
   CString  m_strCompEndSelect;
   CString  m_strCompStartAddr;
   BOOL  m_bCompCheckStop;
   int      m_nCompSrcSpace;
   int      m_nCompDestSpace;
   //}}AFX_DATA

// Implementation
protected:
   virtual void DoDataExchange(CDataExchange* pDX);   // DDX/DDV support

   // Generated message map functions
   //{{AFX_MSG(CMemComparePage)
   afx_msg void OnCompCancel();
   afx_msg void OnCompComp();
   afx_msg void OnCompHelp();
	virtual BOOL OnInitDialog();
	//}}AFX_MSG
   DECLARE_MESSAGE_MAP()
};


/////////////////////////////////////////////////////////////////////////////
// CMemCopyPage dialog
//
class CMemCopyPage : public CPropertyPage
{
private:
   void  DoCopy();
   
// Construction
public:
   CMemCopyPage(); // standard constructor
   virtual void   OnOK();        // Process the defaut button
   virtual void   OnCancel();        // Process the defaut button
   
// Dialog Data
   //{{AFX_DATA(CMemCopyPage)
   enum { IDD = IDD_MEMCOPY_PAGE };
   CEdit m_ctrlCopyEndAddr;
   CEdit m_ctrlCopyStartAddr;
   CEdit m_ctrlCopyDestAddr;
   CString  m_strCopyDestAddr;
   CString  m_strCopyEndAddr;
   CString  m_strCopyEndSelect;
   CString  m_strCopyStartAddr;
   int      m_nCopyDestSpace;
   int      m_nCopySrcSpace;
   //}}AFX_DATA

// Implementation
protected:
   virtual void DoDataExchange(CDataExchange* pDX);   // DDX/DDV support

   // Generated message map functions
   //{{AFX_MSG(CMemCopyPage)
   afx_msg void OnCopyCancel();
   afx_msg void OnCopyCopy();
   afx_msg void OnCopyHelp();
	virtual BOOL OnInitDialog();
	//}}AFX_MSG
   DECLARE_MESSAGE_MAP()
}; 


/////////////////////////////////////////////////////////////////////////////
// CMemFillPage dialog
//
class CMemFillPage : public CPropertyPage
{
private:
   void  DoFill();
   
// Construction
public:
   CMemFillPage(); // standard constructor
   virtual void   OnOK();        // Process the defaut button
   virtual void   OnCancel();        // Process the defaut button

// Dialog Data
   //{{AFX_DATA(CMemFillPage)
   enum { IDD = IDD_MEMFILL_PAGE };
   CEdit m_ctrlFillStartAddr;
   CEdit m_ctrlFillEndAddr;
   CEdit m_ctrlFillData;
   CString  m_strFillData;
   CString  m_strFillEndAddr;
   CString  m_strFillEndSelect;
   CString  m_strFillStartAddr;
   int      m_nFillSpace;
   //}}AFX_DATA

// Implementation
protected:
   virtual void DoDataExchange(CDataExchange* pDX);   // DDX/DDV support

   // Generated message map functions
   //{{AFX_MSG(CMemFillPage)
   afx_msg void OnFillCancel();
   afx_msg void OnFillFill();
   afx_msg void OnFillHelp();
	virtual BOOL OnInitDialog();
	//}}AFX_MSG
   DECLARE_MESSAGE_MAP()
};


/////////////////////////////////////////////////////////////////////////////
// CmemTestPage dialog
//
class CmemTestPage : public CPropertyPage
{
private:
   void  DoTest();
   
// Construction
public:
   CmemTestPage(); // standard constructor
   virtual void   OnOK();        // Process the defaut button
   virtual void   OnCancel();        // Process the defaut button
   
// Dialog Data
   //{{AFX_DATA(CmemTestPage)
	enum { IDD = IDD_MEMTEST_PAGE };
   CEdit m_ctrlTestStartAddr;
   CEdit m_ctrlTestEndAddr;
   CString  m_strTestEndAddr;
   CString  m_strTestEndSelect;
   CString  m_strTestStartAddr;
	int		m_nTestSpace;
	//}}AFX_DATA

// Implementation
protected:
   virtual void DoDataExchange(CDataExchange* pDX);   // DDX/DDV support

   // Generated message map functions
   //{{AFX_MSG(CmemTestPage)
   afx_msg void OnTestTest();
   afx_msg void OnTestCancel();
   afx_msg void OnTestHelp();
	virtual BOOL OnInitDialog();
	//}}AFX_MSG
   DECLARE_MESSAGE_MAP()
};


//////////////////////////////////////////////////////////////////////////////
// CMemChecksumPage dialog
//
class CMemChecksumPage : public CPropertyPage
{
private:
   void  DoChecksum();

// Construction
public:
   CMemChecksumPage();   // standard constructor
   virtual void   OnOK();        // Process the defaut button
   virtual void   OnCancel();        // Process the defaut button
   
// Dialog Data
   //{{AFX_DATA(CMemChecksumPage)
	enum { IDD = IDD_MEMCHECKSUM_PAGE };
	CEdit	m_ctrlChecksumStartAddr;
   CEdit m_ctrlChecksumEndAddr;
   CString  m_strChecksumEndAddr;
   CString  m_strChecksumEndSelect;
   CString  m_strChecksumStartAddr;
   int      m_nChecksumSpace;
   CString  m_strChecksumMemsize;
	//}}AFX_DATA

// Implementation
protected:
   virtual void DoDataExchange(CDataExchange* pDX);   // DDX/DDV support

   // Generated message map functions
   //{{AFX_MSG(CMemChecksumPage)
   afx_msg void OnChecksumCancel();
   afx_msg void OnChecksumChecksum();
   afx_msg void OnChecksumHelp();
	virtual BOOL OnInitDialog();
	//}}AFX_MSG
   DECLARE_MESSAGE_MAP()
};

/////////////////////////////(EOF of MEMPAGE.H)////////////////////////////

